package tv.ouya.console.api;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

public class OuyaPurchaseHelper
{
  private static SharedPreferences getProductIdSharedPreferences(Context paramContext)
  {
    return paramContext.getSharedPreferences("IapSampleActivity", 0);
  }
  
  public static String getSuspendedPurchase(Context paramContext)
  {
    paramContext = getProductIdSharedPreferences(paramContext);
    String str = paramContext.getString("currentPurchase", null);
    if (str == null) {
      return null;
    }
    paramContext.edit().remove("currentPurchase");
    return str;
  }
  
  public static final void suspendPurchase(Context paramContext, String paramString)
  {
    paramContext = getProductIdSharedPreferences(paramContext).edit();
    paramContext.putString("currentPurchase", paramString);
    paramContext.apply();
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/api/OuyaPurchaseHelper.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */